## DMS Set Service Programming Code request DMS Set Service Programming Code request |

## Functions

QmiMessageDmsSetServiceProgrammingCodeInput * | qmi_message_dms_set_service_programming_code_input_new ()
QmiMessageDmsSetServiceProgrammingCodeInput * | qmi_message_dms_set_service_programming_code_input_ref ()
void | qmi_message_dms_set_service_programming_code_input_unref ()
gboolean | qmi_message_dms_set_service_programming_code_input_get_new_code ()
gboolean | qmi_message_dms_set_service_programming_code_input_set_new_code ()
gboolean | qmi_message_dms_set_service_programming_code_input_get_current_code ()
gboolean | qmi_message_dms_set_service_programming_code_input_set_current_code ()
QmiMessageDmsSetServiceProgrammingCodeOutput * | qmi_message_dms_set_service_programming_code_output_ref ()
void | qmi_message_dms_set_service_programming_code_output_unref ()
gboolean | qmi_message_dms_set_service_programming_code_output_get_result ()
void | qmi_client_dms_set_service_programming_code ()
QmiMessageDmsSetServiceProgrammingCodeOutput * | qmi_client_dms_set_service_programming_code_finish ()

## Types and Values

| QmiMessageDmsSetServiceProgrammingCodeInput
| QmiMessageDmsSetServiceProgrammingCodeOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageDmsSetServiceProgrammingCodeInput
        ╰── QmiMessageDmsSetServiceProgrammingCodeOutput

## Description

## Functions

### qmi_message_dms_set_service_programming_code_input_new ()

    QmiMessageDmsSetServiceProgrammingCodeInput *
    qmi_message_dms_set_service_programming_code_input_new
                                   (void);

Allocates a new QmiMessageDmsSetServiceProgrammingCodeInput.

#### Returns

the newly created QmiMessageDmsSetServiceProgrammingCodeInput. The returned value should be freed with `qmi_message_dms_set_service_programming_code_input_unref()`.

Since: 1.0

### qmi_message_dms_set_service_programming_code_input_ref ()

    QmiMessageDmsSetServiceProgrammingCodeInput *
    qmi_message_dms_set_service_programming_code_input_ref
                                   (QmiMessageDmsSetServiceProgrammingCodeInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsSetServiceProgrammingCodeInput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_dms_set_service_programming_code_input_unref ()

    void
    qmi_message_dms_set_service_programming_code_input_unref
                                   (QmiMessageDmsSetServiceProgrammingCodeInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsSetServiceProgrammingCodeInput. |

Since: 1.0

### qmi_message_dms_set_service_programming_code_input_get_new_code ()

    gboolean
    qmi_message_dms_set_service_programming_code_input_get_new_code
                                   (QmiMessageDmsSetServiceProgrammingCodeInput *self,
                                    const gchar **value_new_code,
                                    GError **error);

Get the 'New Code' field from `self` .

#### Parameters

self | a QmiMessageDmsSetServiceProgrammingCodeInput. |
value_new_code | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_dms_set_service_programming_code_input_set_new_code ()

    gboolean
    qmi_message_dms_set_service_programming_code_input_set_new_code
                                   (QmiMessageDmsSetServiceProgrammingCodeInput *self,
                                    const gchar *value_new_code,
                                    GError **error);

Set the 'New Code' field in the message.

#### Parameters

self | a QmiMessageDmsSetServiceProgrammingCodeInput. |
value_new_code | a constant string of exactly 6 characters. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_dms_set_service_programming_code_input_get_current_code ()

    gboolean
    qmi_message_dms_set_service_programming_code_input_get_current_code
                                   (QmiMessageDmsSetServiceProgrammingCodeInput *self,
                                    const gchar **value_current_code,
                                    GError **error);

Get the 'Current Code' field from `self` .

#### Parameters

self | a QmiMessageDmsSetServiceProgrammingCodeInput. |
value_current_code | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_dms_set_service_programming_code_input_set_current_code ()

    gboolean
    qmi_message_dms_set_service_programming_code_input_set_current_code
                                   (QmiMessageDmsSetServiceProgrammingCodeInput *self,
                                    const gchar *value_current_code,
                                    GError **error);

Set the 'Current Code' field in the message.

#### Parameters

self | a QmiMessageDmsSetServiceProgrammingCodeInput. |
value_current_code | a constant string of exactly 6 characters. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_dms_set_service_programming_code_output_ref ()

    QmiMessageDmsSetServiceProgrammingCodeOutput *
    qmi_message_dms_set_service_programming_code_output_ref
                                   (QmiMessageDmsSetServiceProgrammingCodeOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsSetServiceProgrammingCodeOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_dms_set_service_programming_code_output_unref ()

    void
    qmi_message_dms_set_service_programming_code_output_unref
                                   (QmiMessageDmsSetServiceProgrammingCodeOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsSetServiceProgrammingCodeOutput. |

Since: 1.0

### qmi_message_dms_set_service_programming_code_output_get_result ()

    gboolean
    qmi_message_dms_set_service_programming_code_output_get_result
                                   (QmiMessageDmsSetServiceProgrammingCodeOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageDmsSetServiceProgrammingCodeOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.0

### qmi_client_dms_set_service_programming_code ()

    void
    qmi_client_dms_set_service_programming_code
                                   (QmiClientDms *self,
                                    QmiMessageDmsSetServiceProgrammingCodeInput *input,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Set Service Programming Code request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_dms_set_service_programming_code_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientDms. |
input | a QmiMessageDmsSetServiceProgrammingCodeInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_dms_set_service_programming_code_finish ()

    QmiMessageDmsSetServiceProgrammingCodeOutput *
    qmi_client_dms_set_service_programming_code_finish
                                   (QmiClientDms *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_dms_set_service_programming_code()`.

#### Parameters

self | a QmiClientDms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_dms_set_service_programming_code()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageDmsSetServiceProgrammingCodeOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_dms_set_service_programming_code_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageDmsSetServiceProgrammingCodeInput

    typedef struct _QmiMessageDmsSetServiceProgrammingCodeInput QmiMessageDmsSetServiceProgrammingCodeInput;

The QmiMessageDmsSetServiceProgrammingCodeInput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessageDmsSetServiceProgrammingCodeOutput

    typedef struct _QmiMessageDmsSetServiceProgrammingCodeOutput QmiMessageDmsSetServiceProgrammingCodeOutput;

The QmiMessageDmsSetServiceProgrammingCodeOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0